rollRaw = zeros(length(ax),1);
pitchRaw = zeros(length(ax),1);

RAD2DEG = 180. / pi;

for n = 1:length(ax)
%{
    pitchRaw(n) = atan(-ax(n) / sqrt(ay(n)^2 + az(n)^2)) * RAD2DEG;    
    rollRaw(n) = atan2(ay(n), az(n)) * RAD2DEG;

    pitchRaw(n) = atan2(-ax(n), az(n)) * RAD2DEG;
    rollRaw(n) = atan(ay(n) / sqrt(ax(n)^2 + az(n)^2)) * RAD2DEG;
%}
    pitchRaw(n) = atan(-ax(n) / sqrt(ay(n)^2 + az(n)^2)) * RAD2DEG;
    rollRaw(n) = atan(ay(n) / sqrt(ax(n)^2 + az(n)^2)) * RAD2DEG;
end

%[pitch, roll, bp, bq, P_out] = LKF(p, q, ax, ay);
[pitch, roll, bp, bq, P_out] = LKF(pitchRaw,rollRaw,p,q,dt);
