deltaT = zeros(length(dt),1);
deltaT(1) = dt(1);
for i = 2:1:length(dt)
    deltaT(i) = deltaT(i-1) + dt(i);
end

figure('Color',[0.8 0.8 0.8]);
hold all
plot(deltaT(:),pitch(:),'k','LineWidth',2);
plot(deltaT(:),pitchRaw(:),'k.');
xlabel('Sec');
ylabel('Deg');
title('Pitch angle');
legend('Filtered','Raw','Location','northwest');
grid on;

figure('Color',[0.8 0.8 0.8]);
hold all
plot(deltaT(:),roll(:),'k','LineWidth',2);
plot(deltaT(:),rollRaw(:),'k.');
xlabel('Sec');
ylabel('Deg');
title('Roll angle');
legend('Filtered','Raw','Location','northwest');
grid on;
