#include <BMP085.h>
#include <built_in.h>

const int BMP085 = 0xEE; //write address
const unsigned char oversampling = 0;
/*
signed int coefficients(unsigned short reg) {
unsigned short resMSB, resLSB;
signed int result;

       //Reads 16 bit A/D conversion result from reg (0xF6, p. 18)
       I2C1_Start();           // Issue start signal
       I2C1_Wr(BMP085 & 0xFE); // Address + Write bit
       I2C1_Wr(reg);
       I2C1_Repeated_Start();
       I2C1_Wr(BMP085 | 0x01); // Address + Read bit
       resMSB = I2C1_Rd(1);    // Sends acknowledge signal
       resLSB = I2C1_Rd(0);    // Sends not acknowledge signal
       I2C1_Stop();

       result = resMSB << 8 | resLSB;

       return result;
}
*/
void readUTBMP085(void) {

     I2C1_Start();           // Issue start signal
     I2C1_Wr(BMP085 & 0xFE); // Address + Write bit
     I2C1_Wr(BMP085_CONTROL);
     I2C1_Wr(BMP085_READTEMPCMD + (oversampling << 6));
     I2C1_Stop();
     switch(oversampling) {
           case 0: Delay_ms(5); break;
           case 1: Delay_ms(8); break;
           case 2: Delay_ms(14); break;
           case 3: Delay_ms(26); break;
           default: break;
     }//switch
     I2C1_Start();           // Issue start signal
     I2C1_Wr(BMP085 & 0xFE); // Address + Write bit
     I2C1_Wr(BMP085_TEMPDATA);
     I2C1_Repeated_Start();
     I2C1_Wr(BMP085 | 0x01); // Address + Read bit
     Hi(UT) = I2C1_Rd(1);
     Lo(UT) = I2C1_Rd(0);
     I2C1_Stop();

     return;
}

void readUPBMP085(void) {
//unsigned short int resMSB, resLSB, resXLSB;
//char cmd = BMP085_READPRESSURECMD;

//     cmd.B6 = oversampling.B0;
//     cmd.B7 = oversampling.B1;
     I2C1_Start();           // Issue start signal
     I2C1_Wr(BMP085 & 0xFE); // Address + Write bit
     I2C1_Wr(BMP085_CONTROL);
//     I2C1_Wr(cmd);
     I2C1_Wr(BMP085_READPRESSURECMD + (oversampling << 6));
     I2C1_Stop();
     switch(oversampling) {
           case 0: Delay_ms(5); break;
           case 1: Delay_ms(8); break;
           case 2: Delay_ms(14); break;
           case 3: Delay_ms(26); break;
           default: break;
     }//switch
     I2C1_Start();           // Issue start signal
     I2C1_Wr(BMP085 & 0xFE); // Address + Write bit
     I2C1_Wr(BMP085_PRESSUREDATA);
     I2C1_Repeated_Start();
     I2C1_Wr(BMP085 | 0x01); // Address + Read bit

     Higher(UP) = I2C1_Rd(1);
     Hi(UP) = I2C1_Rd(1);
     Lo(UP) = I2C1_Rd(0);
     I2C1_Stop();
     Highest(UP) = 0;
     UP >>= (8 - oversampling);
/*
     resMSB = I2C1_Rd(1);    // Sends acknowledge signal
     resLSB = I2C1_Rd(1);    // Sends acknowledge signal
     resXLSB = I2C1_Rd(0);   // Sends not acknowledge signal
     I2C1_Stop();
     UP = (unsigned long)resMSB << 16 | (unsigned long)resLSB << 8 | (unsigned long)resXLSB;
//     UP = (signed long int)resMSB << 16 | (signed long int)resLSB << 8 | (signed long int)resXLSB;
     UP >>= (8 - oversampling);
*/
     return;
}
